Bug 6766 - Bluetooth Audio Very Choppy and Stuttering
: Bluetooth Audio Very Choppy and Stuttering
Status: RESOLVED INVALID
Product: Connectivity
Bluetooth
: 5.0/(3.2010.02-8)
: N900 Maemo
: Unspecified major with 53 votes (vote)
: ---
Assigned To: unassigned
: bluetooth-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-09 17:22 UTC by les_garten
Modified: 2010-06-28 18:26 UTC (History)
33 users (show)

See Also:


Attachments
N900_51-1_A2DP_BUG (1.39 MB, audio/mpeg)
2010-01-17 19:03 UTC, taril
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description les_garten (reporter) 2009-12-09 17:22:34 UTC
SOFTWARE VERSION: 42-11



REPRODUCIBILITY:Always
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED:NONE

When using Bluetooth Headsets I get Choppy, stuttering Audio that makes it
impossible to use Bluetooth Headset.  I have tried with a Jabra Headset, an
Original, Jawbone, a Jawbone 2, and a Jawbone Prime.  The results are all the
same.  It is exacerbated and made worse if WiFi is enabled.  Not having
Bluetooth as a Headset option is a severe impairment.
Comment 1 Teemu Hujanen 2009-12-09 17:54:27 UTC
Problems also with BH-804, disconnects all the time. Headset shows
disconnection, N900 still thinks that the headset is connected.
Comment 2 Adrian Phillips 2009-12-09 19:04:18 UTC
As I wrote in the discussion :-
I have similar problems with a Jawbone Prime
http://us.jawbone.com/product_landing.aspx
There is some crackle and occasional drop-outs while talking (tested using
Skype echo test) and although I can hear reasonably well it is not the same
stability (slight breaking up) as my old phone, Nokia 6280. I'm only using 3G
which is on all the time due to openvpn, but no Wifi.
Comment 3 Adrian Phillips 2009-12-09 19:04:56 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 hex 2009-12-10 03:20:15 UTC
I was looking for this and if didn't exist, was going to enter myself.

I have the exact same problem/frustration. I saw a bug that related to A2DP
with wifi on as an issue. Just tested with wifi off thinking that would solve
the problem. It didn't.

A lot of static when it is working and will drop connection randomly: could be
a couple minutes, could be 20. When the connection is dropped, sometimes you
can hit the 'heatset' soft button on the screen to switch it back to the phone
and it'll work. Most of the time it doesn't. The bluetooth icon shows still
connected even when headset says 'disconnected' (my Plantronics 975 has verbal
feedback and will say 'disconnected'). My Jawbone Prime goes back to blinking
red showing it is disconnected. A couple times I have had to restart the phone
if turning BT off then back on doesn't work, but either way, you can't join
anything again until restart or BT on/off is done.

I have tested this problem with: Plantronics 925, Plantronics 975, Jawbone
Prime, Nokia BH-503, A2DP stereo headset, Motorola S9-HD A2DP stereo headset
and both my cars.

This problem makes the phone unusable for BT. And if you are like me on hours
of calls a day, holding the phone to your ear is not practical closely making
it unusable as a phone in general. Guess I've been spoiled with BT headsets and
in the car for too many years.
Comment 5 les_garten (reporter) 2009-12-10 03:22:54 UTC
Hex,
   You hit the nail on the Head.  UNUSABLE BLUETOOTH!!
Comment 6 Adrian Phillips 2009-12-10 08:16:23 UTC
Is there additional information that could be given from /proc, /sys or
something else while using my bluetooth device, a while loop (or perl) dumping
something ? I have a good few years of Unix/Linux experience, just no idea
about debugging bluetooth under Linux !
Comment 7 les_garten (reporter) 2009-12-10 08:51:23 UTC
@Adrian: Not that I know of.  I would think there would be limited logging on a
device like this.  I yhink Nokia has to know they have Big Time BT problems
though.  They had to cancel the Free BT Headset with the Promo because it
didn't work! Their own Headset Deal wouldn't work! Ya gotta scratch your head
at that one...
Comment 8 Stephen Birch 2009-12-10 08:56:37 UTC
I use three Nokia bluetooth headphones with the N900; BH-905, BH-216, and
BH-504. All three devices suffer severe stuttering when data is being
transfered over the WiFi interface, such as a file download using gpodder. 
Stopping whichever program is using the WiFi immediately restores excellent
sound quality.  Restarting the program brings back the stuttering.

The stuttering is so severe that Skype or SIP phone calls using a bluetooth
device are not usable.

This effect is 98% reproducable.  Strangely, the other 2% of the time both
bluetooth and WiFi transfers coexist with no stuttering.

I suspect a timing issue which somehow results in the WiFi temporarily blocking
bluetooth packets, the delay cannot be tolerated by the time sensitive
perforance characteristics of audio.

If this suspician is correct it is good news since timing issues should be
fixable in software.

I am looking forward to the software upgrade mentioned elsewhere sine this
issue i critical to me.
Comment 9 les_garten (reporter) 2009-12-10 09:02:29 UTC
If I had BH-905's and had a problem I would really be torqued off.  My problem
does not go away with turning off the WiFi.  It is not as bad but it is still
unusable if that makes sense.  On a scale of 1-10 with 10 being best.  I have a
1 with WiFi on and a 2-3 with it off.  I wonder if the WiFi from my Laptop is
causing the issue, hmmm?
Comment 10 Stephen Birch 2009-12-10 09:20:11 UTC
(In reply to comment #9)
> If I had BH-905's and had a problem I would really be torqued off.

Since I bought the very expensive BH-905 for the purpose of making SIP and
Skype calls you might think I would be torqued off :) However, I have been
around Linux for so many years that I am quite confident the issue will be
fixed.

If not, I will work on it myself and hopefully release a patch. Why? Because I
can.

Nokia is doing ao well working with Open Source that the Maemo future is
bright.

Even a serious problem like this is only a minor teething problem IMHO so I
remain delighted with my purchases.
Comment 11 hex 2009-12-10 09:24:58 UTC
I have continued to test. I have the issue whether wifi is 'on' or not. The
static is a little better when off, but still an irritating problem. I don't
need to be doing file transfers (and I don't really do anything while on a
call).

It didn't occur to me, but yes my pre-order was held up because of the headset.
The supervisor told me they were having probs with bluetooth in the N900. I
just assumed he meant with that headset, but now thinking more about it vs.
being excited about the phone, that makes no sense. He DID mean the N900. They
had to cancel my order and place a new one. I guess that's a big reason for all
the delays for those of us that ordered w/in days of them coming available for
pre-order.

Gosh I wish I could have typed all of that using my Stoaway bt keyboard!!!
Comment 12 Stephen Birch 2009-12-10 09:33:03 UTC
(In reply to comment #11)
> The supervisor told me they were having probs with bluetooth in the N900. I
> just assumed he meant with that headset, but now thinking more about it vs.
> being excited about the phone, that makes no sense. He DID mean the N900.

VERY interesting.  Wow .... so this could be the bug which caused all the
delays.  I predict the threads on this issue are going to be huge, lets hope a
patch comes soon before google notices :)

> Gosh I wish I could have typed all of that using my Stoaway bt keyboard!!!

LOL I am also typing on a N900.
Comment 13 hex 2009-12-10 09:34:08 UTC
Most of us here have been using and coding for linux for a long time. It's the
speed and urgency of this and other issues I worry about. Have you noticed how
many WONTFIXs get doled out?

They don't provide dates, but this needs to be handled quickly. This is beyond
an inconvenience for many, not to mention the laws that don't allow you to hold
phone and talk while driving. BT is compulsory these days - not an option or
'nice to have'
Comment 14 les_garten (reporter) 2009-12-10 09:45:06 UTC
I just discovered that if I shut down my Computer that BT is pretty good while
the WiFi is off on the N900.  But no matter what, BT and WiFi do not co-exist
well on the device itself.  I must be picking up some RFI from the Laptop also.

I don't hold phones to my head so this is a big issue.  I don't like the wired
set that came with the N900.  The other wired sets I bought are wired
different.  So I have some more coming that "should" work.

I agree with HEX and that's why I tagged as High Priority and Critical. 
Basically if you can't use the Radios in a Radio set, that seems bad to me!
Comment 15 rEv9 2009-12-10 18:27:01 UTC
I have a Nokia BH-503 (Bluetooth stereo headset) and a Nokia N900
(v1.2009.42-11)

My experience with the media player and the BT headset:

-- When playing local files
* Normally works perfectly, but will sometimes start to chop when I surf with
WLAN (NOT 3G). 
* Tried surfing flickr, and 50% of the sites did not make the sound chop.
* If it started to chop when loading a page, it could chop from 1 to 20 times.
It seems very random.
* The sound will only chop when loading/using wlan/a data connection.

-- When streaming internet radio from WLAN:
* It's hard to pinpoint what the problem is, because sometimes it's working
perfectly, and other times the audio will be choppy every 20-30sec or sometimes
it will chopp every 1-5 seconds.
* I can be 1 meter or 15 meters from the WLAN antenna, and it will not make any
difference.
* I can reproduce the choppiness with holding around the device with both of my
hands to cover for the signals.
* It will work as expected if the device is in a range of 10-15cm from the
headset!
* A reboot will not help
* Disconnecting the device from the menu and connect it again does not help
* According to 'top', the device is in 20-50% idle.
* I cannot find any logs (in /tmp or /var/log) that have to do with this
* Plugging in the power on either of the devices will not help
* Sometimes there seems to be a issue with the sound transfer, as it tries to
catch up/play fast forward to 
* Wlan router: CISCO Air AP1131. WPA2,

-- When streaming from 3G:
* No issues at all
* Suring the web worked, also when playing local files.
* As soon as I changed back to WLAN, the sound started to chop again.

-- Without the BT headset connected, using WLAN, listning to streaming
(internet radio) while suring the web:
* No issues at all

---------
Temporary solution: Place the N900 less than 10cm from the BT headset/your
head.
Comment 16 Michael 2009-12-10 23:54:53 UTC
I had this problem already with my N800. I read somewhere at maemo-talk that
this was a hardware issue (because of shared wlan/bt antenna).

My hoping was that this problem would not occur with my new N900. But I have
the same problem again (I'm using a plantronics discovery 925).

Sound starts stuttering when WLAN is active. Steps to reproduce:

1) Start mp3 playback with pre-installed media-player and turn on your
bt-headset (sound should be ok, no major stuttering).

2) Open xterm and start pinging a page (e.g. ping www.google.com). Sound begins
stuttering. Closer distance between N900 and bt-headset results in less
stuttering (as mentioned in comment #15).

Is it really a software only problem? Or might it be a hardware issue? Maybe
there is also hope for my N800 to get proper bt-sound :D.
Comment 17 les_garten (reporter) 2009-12-11 00:05:54 UTC
Hmmm, the fact they didn't fix your N800 has me worried...
Comment 18 hex 2009-12-11 03:24:12 UTC
Let's not forget it's beyond stuttering. I can't keep anything connected for
long when BT is active - wifi or not. And, when it disconnects, sometimes it
requires a restart for anything (BT, gsm or cell data) to start working again.
I was driving a lot today and had calls. Whether my car or my Plantronics 975,
it was constantly disconnecting and got to the point where I canceled the last
two calls of the day since it is illegal to drive and hold a phone to the ear.

I forgot to bring my backup phone, but even thinking of having to do this is
beyond silly for a device like the N900.

One instance today:
1) Connected to car on a call
2) Disconnected about 5-minutes into the call
3) Pulled into a lot and tried calling back into the call
4) Kept receiving an error (forget exact wording in yellow bar) that indicated
there was no network. I looked and it didn't indicate anything but the red line
through the cell data indicator.
5) Turned off blue tooth
6) Tried 'disconnecting' or 'connecting' from/to cell data - an error something
about now network available.
7) Restarted phone and called back in w/out BT (about 10-mins later).

The stuttering/static is also very problematic when it is working, but for me
takes a slight (just slight) backseat to the fact I can't keep anything
connected for long and the randomness of what the disconnection causes (restart
or not).

I imagine the two issues have the same root, but there is a lot of wifi
examples here, but there are easily reproducible issues even with no wifi
connections and searching turned to never. Though, perhaps wifi is never truly
off.

Further, I get stuttering/static when connected to wifi, but not doing anything
(no browsing, no file transfers, etc.) I do have mail checking hourly and MfE
checking every hour as well. The foreca widget is set to check every 4-hours.
Oh, and IM is always on, but not very active (a message or two every few
hours). In other words, if data over wifi causes issues, it doesn't take much
at all. Distance I haven't tested, but my phone is always arms-length or closer
(today was in shirt pocket so maybe a foot from the 975 and who knows how far
from the car's BT - maybe a couple feet).
Comment 19 hex 2009-12-11 03:31:40 UTC
Sorry, when I say "connected" or variant of (disconnects, disconnection), I'm
talking connected to BT (i.e. car or plantroics 975 to the phone). 

I sure hope this isn't hardware only issue. That's a lot of service
requests/phone tradeouts not to mention the issues it causes customers :-/
Comment 20 Johan Hedberg nokia 2009-12-11 08:55:41 UTC
The overall situation with Bluetooth connections should get considerably better
with the next public update to the software. It contains fixes both for BT-WLAN
coexistence as well as an Bluetooth chip firmware update that should cure
issues e.g. with the Bluetooth connection dropping during a call.
Comment 21 les_garten (reporter) 2009-12-11 09:01:08 UTC
@Johan,  
   I sure hope you are right!  That is my number one complaint with the device.
 There are some phone features I would like a lot, but the BT problem is a
massive issue.  Thanx for the info!
Comment 22 白い熊 2009-12-11 09:47:55 UTC
Jabra JX-10 Series 2, N900 disconnects and connects to it randomly, also in the
middle of a call, very bad.
Comment 23 hex 2009-12-11 09:58:24 UTC
(In reply to comment #20)
> The overall situation with Bluetooth connections should get considerably better
> with the next public update to the software. It contains fixes both for BT-WLAN
> coexistence as well as an Bluetooth chip firmware update that should cure
> issues e.g. with the Bluetooth connection dropping during a call.
> 

Cool - thank you. Guess we can leave this idle at this point. I assume these
have been used as some of the test cases.

Now guess we just have to be patient -hopefully not too long, but if the update
is considerable, I can live with an N97 as my backup for a bit.

Now, only if we can get a bt keyboard to work right like my N810 :-) (but
seriously)
Comment 24 J N 2009-12-11 14:13:36 UTC
I can report audio problems with handsfree in my car. 

Audio is distorted to the degree that it is impossible to even guess what is
being said. It sounds like robot voices only much much worse. The problem
exists in both directions, i.e. for  people of both ends of the conversation.

Turning off wifi and/or disconnecting headset on the N900 doesn't help.

The car unit is a Becker Cascade.
Comment 25 J N 2009-12-11 14:16:42 UTC
(In reply to comment #24)
> Turning off wifi and/or disconnecting headset on the N900 doesn't help.

Just to clarify, that should be disconnecting and then reconnecting headset.
Comment 26 tuxian 2009-12-12 02:23:59 UTC
(In reply to comment #1)
> Problems also with BH-804, disconnects all the time. Headset shows
> disconnection, N900 still thinks that the headset is connected.
> 

Some problem here with BH-900 headset.
Comment 27 Stephen Birch 2009-12-16 14:57:55 UTC
I noticed this bug was downgraded from critical/high to major/medium by
aklapper@openismus.com so sent him private email asking why.

Hhe subsequently asked me to comment inside bugzilla (see below) so I am
documenting the dialog at his request.  Here is the conversation:

-------------------------------------------------------------------

> Why did you downgrade this bug?

Andre's reply:

"This bug" is quite vague when I read hundreds of them per day.
Please provide context.

> When using bluetooth and wifi together the sound is choppy and unusable.
> Try a skype call using a bluetooth headset, it is easy to reproduce.
> 
> Read the comments in the bug, the context is all there.
> 
> This is a serious problem.

Andre's reply:

Please provide an URL.
Really, providing context if you break the communication channel by
going from Bugzilla to private email is my lowest expectation. ;-)
Comment 28 Stephen Birch 2009-12-16 15:04:48 UTC
OMG

Re-reading this exchange I realize, he wanted context for my email ... I
thought he wanted context for the bug itself!!!  Sorry Andre!

Anyway ... could you explain the decision to downgrade the bug, this is a
critical bug.  BT sound quality is a basic fundamental feature of any phone.


Steve
Comment 29 Adrian Phillips 2009-12-16 17:51:43 UTC
If you read the descriptions for Severity then major is correct : "major loss
of function". The priority is for the "programmers/engineers to prioritize
their work" so is presumably decided upon by internal discussion. Apologise for
the non-bug report; please take further discussion to the talk thread (not sure
which it was now).
Comment 30 Andre Klapper maemo.org 2009-12-16 23:46:56 UTC
So, according to comment 20 we wait for PR1.1 (the next bigger software update
by Nokia), and if you (plural) should still have issues with your Bluetooth
afterwards, can you please file separate reports (per hardware), as I assume
that this bug report has different underlying problems?

Note that Nokia does not announce software updates in advance. :-/

Also, the initial comment says "made worse if WiFi is enabled" and Johan wrote
"It contains fixes for BT-WLAN coexistence".
Comment 31 encoreunited 2009-12-17 02:30:13 UTC
sennheiser vmx100. 
When I connect it- it says that device was connected (blue icon in systray
shows that too). When I actually try to call- there is no sound. After some
restarting the phone, headset, switching headset on and off during call) it
starts working- I can hear and can be heard. But after sometime (headset is on
and paired with N900) I try to call and now I cannot hear anything nor can be
heard.
This Bluetooth works fine on Xpressmusic5800 and N81
Comment 32 kat 2009-12-17 20:27:13 UTC
I have the exact same problem with my iTech Blue Pro headset and was wondering
if it is related to the Bluetooth level?
I ordered a Sony DR-BT50 to verify this idea.

the iTech Blue Pro is Bluetooth 1.2 Release 2
the Sony is a Bluetooth 2.0 release 2

The Nokia BH-905 I had to take back to the store because it kept falling off my
head.

The iTech BluePro is recognized as a AD2P, HFP, HSP device.
Sometimes it connects in mono, sometimes it connects in stereo with the N900.
The sound is choppy no matter what I play or if WiFi is on or off.

Also the iTech BluePro works perfectly on my N95-8GB and N97, perfect sound.
Comment 33 alphaman_99 2009-12-18 11:39:58 UTC
(In reply to comment #32)
> I have the exact same problem with my iTech Blue Pro headset and was wondering
> if it is related to the Bluetooth level?
> I ordered a Sony DR-BT50 to verify this idea.

Just to let you know, my DR-BT50's work fine. It may be a bluetooth
communciation system problem
Comment 34 Lars Wadefalk 2009-12-19 02:37:49 UTC
(In reply to comment #24)
> I can report audio problems with handsfree in my car. 
> Audio is distorted to the degree that it is impossible to even guess what is
> being said. It sounds like robot voices only much much worse. The problem
> exists in both directions, i.e. for  people of both ends of the conversation.
> Turning off wifi and/or disconnecting headset on the N900 doesn't help.
> The car unit is a Becker Cascade.

Dude, I have the EXACT same problems with my car BT unit. The robot voice,
choppy sound and acoustic feedback (in both directions). It's completely
useless. My unit (Sony Ericsson HCB-108) works perfectly with a N73 so it's not
a compatibility issue. The wifi on or off has no relevance for me. The BT is
flawed in N900.
So, I hope they'll fix this and that the can do it in software, and I promise
that I won't complain anymore. But if not, I think they should even offer a
recall since this is quite a serious problem.
A phone without a working BT theses days is a NO-NO, and I can promise that
such a thing won't escape the press.
Comment 35 egoshin 2009-12-20 21:08:25 UTC
I have some choppy sound on BT car speaker HCB-105 but only then I leave an
office with WiFi and my car leaves a parking lot and N900 tries to reconnect
with office WLAN. Right after first stop light the sound is OK.
Comment 36 Cornelius Hald 2009-12-23 18:50:17 UTC
Situation seems to improve. With (prerelease) 2.2009.51-1 I get around 2-3
hickups withing 10 minutes. While browsing using WLAN. With 42-11 I got a
hickup every 10 seconds.

Headset is a Motorola HT820.
Comment 37 tuxian 2009-12-23 18:54:09 UTC
(In reply to comment #36)
> Situation seems to improve. With (prerelease) 2.2009.51-1 I get around 2-3
> hickups withing 10 minutes. While browsing using WLAN. With 42-11 I got a
> hickup every 10 seconds.
> 
> Headset is a Motorola HT820.
> 

Where did you got this prerelease?
Comment 38 venkata.kishore 2009-12-26 02:10:54 UTC
Bluetooth drops during active call. Needs to transfer call to handset and back
to bluetooth to fix it. my bluetooth is BH-703. This is a basic feature and
critical function to me.
Comment 39 Andre Klapper maemo.org 2009-12-28 14:10:56 UTC
(In reply to comment #37)
> Where did you got this prerelease?
See
http://maemo.org/community/maemo-community/community_testers_for_fremantle_pr_1-1
. Please avoid posting followups about this here - go to the forum instead.
Comment 40 Mikko Kupila 2010-01-03 20:49:55 UTC
(In reply to comment #1)
> Problems also with BH-804, disconnects all the time. Headset shows
> disconnection, N900 still thinks that the headset is connected.
> 

I do not whitness the inacceptable audioquality at reasonable ranges, but I can
confirm that the N900 drops the connection to my BH-900 headset once in a
while, this seems to be more likely when the phone is disturbed during an
active phone call, such as going to the settings menu or browsing files. Upon
this the n900 still sees the headset as connected whilst the headset does not,
and simply restarting the headset does not reconnect it to the phone. Trying to
disconnect the headset via the N900's bluetooth manager renders the bluetooth
manager unresponsive. Disabling and reanabling bluetooth on the N900 makes it
disconnect from the headset and accept connections again.
Comment 41 egoshin 2010-01-03 21:15:03 UTC
(In reply to comment #40)
> (In reply to comment #1)
> > Problems also with BH-804, disconnects all the time. Headset shows
> > disconnection, N900 still thinks that the headset is connected.
> > 
> 
> I do not whitness the inacceptable audioquality at reasonable ranges, but I can
> confirm that the N900 drops the connection to my BH-900 headset once in a
> while, this seems to be more likely when the phone is disturbed during an
> active phone call, such as going to the settings menu or browsing files. Upon
> this the n900 still sees the headset as connected whilst the headset does not,
> and simply restarting the headset does not reconnect it to the phone. Trying to
> disconnect the headset via the N900's bluetooth manager renders the bluetooth
> manager unresponsive. Disabling and reanabling bluetooth on the N900 makes it
> disconnect from the headset and accept connections again.
> 

Can you post details in bug 6605? It seems more appropriate bug description.
Comment 42 Mikko Kupila 2010-01-03 21:41:57 UTC
(In reply to comment #41)
> (In reply to comment #40)
> > (In reply to comment #1)
> > > Problems also with BH-804, disconnects all the time. Headset shows
> > > disconnection, N900 still thinks that the headset is connected.
> > > 
> > 
> > I do not whitness the inacceptable audioquality at reasonable ranges, but I can
> > confirm that the N900 drops the connection to my BH-900 headset once in a
> > while, this seems to be more likely when the phone is disturbed during an
> > active phone call, such as going to the settings menu or browsing files. Upon
> > this the n900 still sees the headset as connected whilst the headset does not,
> > and simply restarting the headset does not reconnect it to the phone. Trying to
> > disconnect the headset via the N900's bluetooth manager renders the bluetooth
> > manager unresponsive. Disabling and reanabling bluetooth on the N900 makes it
> > disconnect from the headset and accept connections again.
> > 
> 
> Can you post details in bug 6605? It seems more appropriate bug description.
> 

Hmm, it looks to me like said bug report discusses a bug related to answering
calls via a button on the bluetooth device; which works fine for me...
Comment 43 egoshin 2010-01-03 21:51:27 UTC
(In reply to comment #42)
> Hmm, it looks to me like said bug report discusses a bug related to answering
> calls via a button on the bluetooth device; which works fine for me...
> 

Actually, bug 6605 more about loss of communication sync between N900 and BT
headset, the "answer" button problem is only one visible side of it (I
personally experienced the call button problem - press call, call is setup, no
sound in BT headset and in N900...). Your experience fits it and moreover - it
can be a simple explanation of that problem.
Comment 44 Mikko Kupila 2010-01-04 01:07:53 UTC
(In reply to comment #43)
> (In reply to comment #42)
> > Hmm, it looks to me like said bug report discusses a bug related to answering
> > calls via a button on the bluetooth device; which works fine for me...
> > 
> 
> Actually, bug 6605 more about loss of communication sync between N900 and BT
> headset, the "answer" button problem is only one visible side of it (I
> personally experienced the call button problem - press call, call is setup, no
> sound in BT headset and in N900...). Your experience fits it and moreover - it
> can be a simple explanation of that problem.
> 

You speak the truth indeed, I will post my findings in bug 6605
thanks for the heads up
Comment 45 Mikko Kupila 2010-01-05 14:44:27 UTC
I also experience the bafd audio quality via bt whilst the n900 transferes data
over wifi; merely an established but idle wifi connection does not seem to
constitute in a problem.

The past few times I took a phonecall out of the house (and thus outside the
rande of my wifi hotspot) Ive noticed that the phone seems to drop my bt
handsfree approximately at the same moment it loses contact with the wlan
accesspoint. Then again it can't be just that since it has occured occasionally
in the absence of any associated accesspoints.

Has anyone whitnessing these dropouts tried to sidable their wifi adapter in
the terminal?
Comment 46 Andre Klapper maemo.org 2010-01-14 12:33:04 UTC
Today Nokia released the Maemo5 update version 2.2009.51-1 for public (also
called "PR1.1" sometimes).
If you have some time we kindly ask you to test again if the problem reported
here still happens in this new version - just leave a comment (and feel free to
update the "Version" field to the new version if it's still a problem).
Comment 47 jessi3k3 2010-01-14 13:47:33 UTC
Now using 2.2009.51-1.002

As far as bluetooth being choppy and wifi usage, the problems seems to be
greatly alleviated. I can now play a 128kbps stream through wifi to my
bluetooth headset with no skips at all. I've been playing it for 2 hours with
no hiccups. Also, browsing the web (even javascript heavy Digg.com) no longer
causes music to skip. I would say this bug is fixed but I'd like to see what
others have to say.
Comment 48 Fredrik Wendt 2010-01-14 19:04:59 UTC
It is much much better, thanks a bunch - great work!

During the day I have had a few occasional hickups, when the load on the phone
gets really high (several browser windows loading, email downloading, BT
headset, ogg files playing) and I jump between applications. But I'd say that
it's as good as when I used my Linux laptop and my good old SonyEricsson M600i
(which really worked really well in this regard).

I tend to get hickups when new e-mail arrives and the notification sound and
yellow box flies by. I can live with that.

I can trigger hickups by
1. tap the status area,
2. tap Internet connection,
3. let the list sit there for a little while

After 2, a hickup immediately occurs and it does so everytime just before the
spinner (in the title of the popup) appears. I'm not sure if this can be fixed
at all since the wifi scan actually needs to take it's time. :)

Perhaps I should also mention that I'm using a WLAN that has several AP:s
(since I saw some issues with that). My linux laptop liked to jump back and
forth between two of them a couple of times a day.
Comment 49 Teemu Hujanen 2010-01-14 21:54:26 UTC
I've never had problems with audio quality as long as the connection stays up.
And it doesn't stay up, not before the update and not after. I made the pairing
with my BH-804 headset, the connection is disconnected within 30 minutes. The
same thing as before, the headset shows disconnection and the phone thinks the
headset is still connected. The bluetooth is still completely useless for me! 
>:(
Comment 50 Mikko Kupila 2010-01-15 01:03:12 UTC
I use my nokia n900 with a bh-900 headset.

The described issue of the phone losing contact with the headset (whilst the
n900 still claims there to be an established connection) has ended with the
advent of this new OS in my case. I have phoned for >1h today without said
issue.

I do however still whitness inacceptable degradation of audio quality when
there is active data-transfere via wlan.

this isue is not resolved with 1.1
Comment 51 hex 2010-01-15 02:32:27 UTC
I pulled the update ~2AM. I have held off entering my update because I wanted a
full day of testing. I will mention the disconnecting issue here realizing
that's a separate bug, but they are related. Of course, I don't think I've seen
activity on that in my email so maybe the disconnect issue wasn't addressed in
1.1?

I have kept a log - I live on the phone so wanted to be precise and not forget
details. Hopefully it helps a little. I won't clutter this with log details;
here is my aggregate use with 1.1 and BT:

- 12 calls, 4 of them were hour calls, the rest ranged from 5-minutes to
30-minutes.
- 4 calls on my car's bt (to eliminate it as a variable: a 2009 so it is newer
and has plenty of use with 3 different backup phones, one being an N97, and my
wife's phones - none of them have problems it).
- 8 calls 'using' a Plantroics 975 (eliminate battery as variable: kept charged
- easy to see level since it's case charges it and shows battery level)
- A2DP headset is Motorola S9-HD (battery freshly charged yesterday and it'll
last about a week w/my usage)
- All BT devices were always within one meter of the N900
- Toal of 1-hour and 12-minutes listening to music with longest session
38-minutes (total of 4-disconnects and 1-restart during the 38-mins)
- Wifi was never connected: set connect automatically to gprs, search interval
never. However, when I bring up Internet connections, it any APs in range so
the radio is obviously not disabled.
- My location varied all day - car, office, conference room, cafe, different
buildings.


For reference:
- Before 1.1, flashed the device a couple days before the last pre-update
update
- Before 1.1, flashed the device AGAIN and reinstalled the mini-update because
my wifi was horked - this was hours after that first update.
- Haven't done anything with testing or devels since I got it working and have
installed only a few apps: rootsh, conky, xournal, forecaweather, openssh.
- After update, I restarted a couple times and went to sleep. When I woke up, I
took the battery out while I got ready (~30-minutes) since that seems to solve
some problems so wanted to make sure all controllable variables were taken care
of.

So basically like a new device and applying the two updates with only the above
apps installed between the updates.

Results:
Audio on A2DP was not choppy, so is much better in that regard. But, it still
cuts out periodically. I haven't had the cut-out problem this frequent or
'last' as long on other devices so I don't consider this fixed. I expect a blip
once in awhile, but it was more than an infrequent blip. It was a long cutout -
similar to moving to another track. It lasted just long enough that I'd grab
phone to see if it had disconnected when the audio would start back up. The
frequency ranged from a few minutes to ten minutes.

It still disconnects A LOT from all devices I tested. However, in 1.1, it would
reconnect after a random period of time (length of disconnection varied) and I
don't recall it ever reconnecting in previous firmware. The BT on the phone
showed it was disconnected (previously, it still showed connected) and it
transferred audio back to handset except for 5 times. I only had to turn off/on
BT 3x and restart 2x. Getting it working again wasn't as difficult, but another
disconnect was always near. There are improvements, but still not usable/fixed.

I have not yet tested choppy audio while connected to wifi, but radio was
obviously on and I was around plenty of wifi.
Comment 52 heretic 2010-01-15 09:14:48 UTC
with new firmware: 2.2009.51-1

even the wifi is not turned on, I still got stuttering audio from my i.Tech
R35. I can't figure out any improvement on this bug so my bluetooth headphone
is still useless. at least for me. it was working well with my N97.
Comment 53 Johan Hedberg nokia 2010-01-15 09:29:55 UTC
Since there seems to be quite a lot of variance between different headsets and
other Bluetooth audio devices, I think it might be best if there was one bug
report per device (since obviously the resolution of this bug will not be able
to accurately describe the situation with each device).
Comment 54 ollivaud.patrice 2010-01-15 10:53:02 UTC
May be there is a need for a bug report by device but still it seems that even
with the improvement of PR1.1, most BT devices have problems with the N900 that
they do not have with other telephones. So it sounds like a generalised problem
with BT. I hope this is not hardware related :(
With my philips SHB6110 I still have issues when I search for available wifi
and when i am connecting the N900 to WLAN. When connected, I have some issues
when the signal is bad and from time to time (quite rarely however and it may
be related to the CPU?).
However PR1.1 is an improvement! The overall BT quality is better.
Comment 55 tuxian 2010-01-15 11:02:18 UTC
Please install Firmware 2.2009.51-1!

My problems are solved now (disconnects with BH-900 headset).
Comment 56 hex 2010-01-15 11:05:57 UTC
(In reply to comment #53)
> Since there seems to be quite a lot of variance between different headsets and
> other Bluetooth audio devices, I think it might be best if there was one bug
> report per device (since obviously the resolution of this bug will not be able
> to accurately describe the situation with each device).
> 

I don't follow. Since I posted the above I tested with additional devices and
they all have the exactly the same results. It's easy for me to do because I
have so much stuff laying around and it literally only takes minutes to
reproduce. So, this would require me to open 9 bugs (I finally decided I hit my
OCD limit and stopped).

I kept testing out of curiosity how this can be released as a fix when it is so
easily reproduced. My guess is you do test... so what's the problem? Perhaps is
hardware. Perhaps it is related to a batch of N900s or country of origin. Mine
was made in Korea, but I've seen some have said theirs were made in Finland (I
think). Slight differences in various aspects between batches and origins are
common. Most are w/in tolerance. However, occasionally some squeak by manu qa
sample testing with an issue unoticed until you are running at consensus rather
than typical sample testing.

Since there are several bt bugs that many are having (including casual and
formal reviews/blogs) I don't think opening a bug for everything out there is
practical AND you see conflicting reports for the same bt device anyway.

Have you considered this is batch or origin related? Has Nokia been looking
into that?
Comment 57 hex 2010-01-15 11:16:44 UTC
Forgot to mention, I did do testing connectied to wifi since my earlier
posting.

Audio quality still degrades. It's not as bad without much traffic like it was
pre-1.1, but does degrade to poor levels depending on wifi activity still.
There 'seemed' to be a difference between the power save settings and tx power,
but by time I got to this, I called it quits for now.

I'm not sure what people mean when they say 'turn wifi off'. No way to do this
via gui that I know of. I would ask for clarification so we know exactly what
they are doing so we're on the same page. Disconnecting/very little traffic is
not the same as turning the radio off.
Comment 58 Johan Hedberg nokia 2010-01-15 11:22:22 UTC
(In reply to comment #56)
> I don't follow. Since I posted the above I tested with additional devices and
> they all have the exactly the same results. It's easy for me to do because I
> have so much stuff laying around and it literally only takes minutes to
> reproduce. So, this would require me to open 9 bugs (I finally decided I hit my
> OCD limit and stopped).

Well, in this particular bug there are three comments since the PR1.1 release
that indicate a positive change and the same amount saying that the issue is
not fixed. There are many more positive comments regarding PR1.1 in other
Bluetooth audio bugs. So there quite obviously are varying results for
different people and devices and it'd be nice to have bugs with resolutions
that reflect those results.

As far as making all issues go away, I don't think that's physically possible
since Bluetooth and WLAN share the same antenna in the N900. Some WLAN
operations, such as searching for access points, take over the antenna almost
completely.

> Have you considered this is batch or origin related? Has Nokia been looking
> into that?

I personally don't have any clue as this is something the customer and care
operations usually handle. In your case it could (in theory) also be related to
the RF environment where you are testing and not to the actual devices.
Comment 59 Johan Hedberg nokia 2010-01-15 11:23:28 UTC
(In reply to comment #57)
> I'm not sure what people mean when they say 'turn wifi off'. No way to do this
> via gui that I know of. I would ask for clarification so we know exactly what
> they are doing so we're on the same page. Disconnecting/very little traffic is
> not the same as turning the radio off.

I would assume that they mean not being connected to a WLAN access point (i.e.
using gprs or not having an internet connection at all).
Comment 60 jessi3k3 2010-01-15 11:43:47 UTC
(In reply to comment #47)
> Now using 2.2009.51-1.002
> 
> As far as bluetooth being choppy and wifi usage, the problems seems to be
> greatly alleviated. I can now play a 128kbps stream through wifi to my
> bluetooth headset with no skips at all. I've been playing it for 2 hours with
> no hiccups. Also, browsing the web (even javascript heavy Digg.com) no longer
> causes music to skip. I would say this bug is fixed but I'd like to see what
> others have to say.
> 

Replying to my previous comment, Now that ive had more time to stress test it I
noticed bluetooth audio becoming choppy and stuttering again. When you're
really stressing Wifi (Downloading a file) and trying to listen to something in
the Media Player, you get intermittent cuts in audio like in PR1.0, although
PR.1.1 is a bit better in this situation but that's stretching it. No
disconnections. I'm also posting on bug #5880 Since it's more specific to my
problem.

There seems to be many problems condensed into this one bug report. Ive noticed
3 different groups of bug reporters

Group 1: Bluetooth Headset/phones disconnection issues
Group 2: Bluetooth Headset/phones deteriorated sound quality 
Group 3: Bluetooth Headset/phones intermittent cuts in audio with Wifi usage.
Connection to the device stays active though.

I fall into group 3 and thus I'm posting over at bug #5880. Perhaps the 2
previous groups can make separate bug reports instead of this one huge one.
Comment 61 hex 2010-01-15 11:50:40 UTC
> Well, in this particular bug there are three comments since the PR1.1 release
> that indicate a positive change and the same amount saying that the issue is
> not fixed. There are many more positive comments regarding PR1.1 in other
> Bluetooth audio bugs. So there quite obviously are varying results for
> different people and devices and it'd be nice to have bugs with resolutions
> that reflect those results.

I'm not reading it like that. Yes, I agree it has improved, but nearly all say
that along with a 'but' it still has problems. Then there are the couple you
read 3x because they make no sense. There is a pattern.

> As far as making all issues go away, I don't think that's physically possible
> since Bluetooth and WLAN share the same antenna in the N900. Some WLAN
> operations, such as searching for access points, take over the antenna almost
> completely.

Um, so I paid for over $700 (includes sales tax) for a device I can't use
bluetooth? I don't know what to say other than I'm calling tomorrow or Monday
and they better be flexible on refunds. When I first called about having phone
repaired/replaced, Nokia wouldn't do anything 'because it's a known issue and
an update is coming soon that will fix it.'

> > Have you considered this is batch or origin related? Has Nokia been looking
> > into that?
> 
> I personally don't have any clue as this is something the customer and care
> operations usually handle. In your case it could (in theory) also be related to
> the RF environment where you are testing and not to the actual devices.
> 

If you bothered to read my post, which I worked on all day keeping a log even,
you'd know I wasn't sitting in one place or even the same city. You'd also know
why bluetooth is so important to me and anyone driving (by law and safety)
and/or spending hours a day on the phone.
Comment 62 Johan Hedberg nokia 2010-01-15 12:34:04 UTC
(In reply to comment #61)
> If you bothered to read my post, which I worked on all day keeping a log even,
> you'd know I wasn't sitting in one place or even the same city.

I did read it but apparently too quickly and managed to miss this detail. Sorry
about that.
Comment 63 ollivaud.patrice 2010-01-15 12:40:49 UTC
(In reply to comment #58)

> As far as making all issues go away, I don't think that's physically possible
> since Bluetooth and WLAN share the same antenna in the N900. Some WLAN
> operations, such as searching for access points, take over the antenna almost
> completely.

OOh that is really unbelievable... I feel very ... I can't even word what I
feel... So you made a cheap phone!
Comment 64 Mikko Kupila 2010-01-15 13:10:28 UTC
(In reply to comment #55)
> Please install Firmware 2.2009.51-1!
> 
> My problems are solved now (disconnects with BH-900 headset).
> 

I also see that there are several different forms of this BT wlan
non-symbiosis, and there may be a connection with the hardware used. I also use
the BH-900 headset from nokia and I have no longer experienced the random
disconnects from the headset (which made bt headset completely useless). I can
now speak on the phone while im having a walk outside, however if I where
browsing via wlan whilst on the phone via bt, I get the same story as before
the update, bad crackling. This means I can finally talk on the phone in the
car (which has been something I missed) but having a long conversation at home
with a wlan connection and some widget updating once in a while, is still not
nokia flagship level, needless to say skype is unusable.

I share the opinnion that nokia shouldnt just let this one go because the two
protocols share the same antenna. I used an E61i before the n900 and never
experienced bt problems under any conditions. Fact is that someone screwed up
big time if a phone advertised to be always online, can't simultaneously be
connected via wlan and bt without significantly compromising the performance of
either.
Comment 65 Johan Hedberg nokia 2010-01-15 13:21:25 UTC
(In reply to comment #63)
> OOh that is really unbelievable... I feel very ... I can't even word what I
> feel... So you made a cheap phone!

Is that your conclusion about the fact that there's just one antenna? I'm not
really an expert in radio HW design, but I've heard that one antenna per radio
would still cause strong interference between them due to the overlapping
frequencies, and having a single antenna at least makes it possible to handle
shared access to the bandwidth better. It's clear from this bug that the shared
access isn't handled optimally in the N900, but I think it's premature to
conclude that it's because of the single antenna design. I guess it could be an
interesting research project to investigate how many other dual-radio BT+WLAN
products in the market use this kind of hardware solution.
Comment 66 Andrei 2010-01-15 13:23:06 UTC
(In reply to comment #63)
> (In reply to comment #58)
> > As far as making all issues go away, I don't think that's physically possible
> > since Bluetooth and WLAN share the same antenna in the N900. Some WLAN
> > operations, such as searching for access points, take over the antenna almost
> > completely.
> 
> OOh that is really unbelievable... I feel very ... I can't even word what I
> feel... So you made a cheap phone!

Since WLAN and Bluetooth share the same Frequency band (2.4GHz) having the same
antenna allows us to control co-existence. You can search web for "WLAN and
Bluetooth co-existence" to understand better physical limitations.
Comment 67 ollivaud.patrice 2010-01-15 14:08:52 UTC
Thanks for the additional comments which adds more knowledge to my quick
reaction. But even if this can have an advantage (to share the same antenna),
how come the BT works OK with other telephones. Either they share the same
antenna too and then it means you will be successful later to have both working
together and nicely. Or they do not have only one antenna and you did a try for
the N900 without too much success for the moment...
Anyway this was a bit disappointing to see that it seems we will never get it
working properly as pointed in comment #58?? Or may be that is just me not
understanding the point!
Comment 68 egoshin 2010-01-15 20:29:16 UTC
Based on my experience I believe that choppy audio has nothing with RF. I
suspect some multitasking problem then process playing music is not real-time
process and some another process delays player chance for CPU --> some audio
gap happens.

This is well known problem. For exam, Microsoft solved it in their media
player, but open source player in the same environment produces choppy music.
The less powerfull CPU - the more choppy audio.

Of course, if you unload system from any tasks, kill tracker via
"tracker-process -k" it would be much better sound.
Comment 69 J N 2010-01-17 18:27:00 UTC
My issue (robot/transformer voices) is NOT gone after update to 2.2009.51-1.
Headset connection with my car device (Becker Cascade) is still unusable. Have
not tested with other BT headsets or car devices (my car device works
flawlessly with other phones however).

Should stress that my problem exists without wifi connected.
Comment 70 taril 2010-01-17 19:01:00 UTC
Sound output is faltering often if any application is working in the
background, like email client, location detector, skype, wifi, pocket data
connection etc...

I uploaded an mp3 file, the output is faltering, after the playing speed
becomes 120%!!!

Forward it to 0:18, the output is disappeared for a while, after you can hear
the playing speed is become much faster!
at 0:30 there is another one.
Comment 71 taril 2010-01-17 19:03:14 UTC
Created an attachment (id=2025) [details]
N900_51-1_A2DP_BUG
Comment 72 salah99 2010-01-18 00:32:48 UTC
Group 1: Bluetooth Headset/phones disconnection issues

I can not connect/pair my N900 with my car (BMW 325Ci 2005).
This is really a high priority for me due the state regulations.
Comment 73 Andre Klapper maemo.org 2010-01-18 16:28:17 UTC
(In reply to comment #72)
> I can not connect/pair my N900 with my car (BMW 325Ci 2005).

Totally different issue then. This is about choppy audio. Please don't post
unrelated comments or this report becomes even more unreadable and harder to
fix.
Comment 74 les_garten (reporter) 2010-01-20 05:50:05 UTC
Andre and Johan

I started the post.  I have all three versions of Jawbone and all of them
still(Post PR1.1) produce choppy audio without the WLAN enabled.  There seems
to be more choppiness and bad sound quality since the update to 51-1.  My
question is what are the plans for this?  If it doesn't work at all with WLAN
on is no issue for me. I'll just turn it off.  I just want to be able to use my
Bluetooth without having to buy 50 headsets to find one that works.  I have
about $400 invested in BT headsets now and it's unreasonable to expect me to
buy more isn't it?  I think we are owed a timeline and maybe a BT task force
manager.  

  I do see the issues with different headsets and different BT issues.  But
there is an overall complaint of audio quality as well.  I think there can be
some catch-all categories and I consider this one.  This is the bad sound
quality bug.  My BT connects OK, it does not disconnect.  It just sounds bad to
the receiver of the call and is unusable because of this.  Funny thing is, on
my end the call is perfect and crystal clear.
Comment 75 Johan Hedberg nokia 2010-01-20 09:18:33 UTC
I'm fine with making this bug to be about bad processing of audio from the
microphone of the headset when using the Handsfree Profile. That would at least
give some clarity to what needs to be fixed in this particular bug. What
confuses me a little is that in the original description you say "I get"
whereas now you say "the other end gets". Did you mean the behavior of your
microphone and the audio quality that the other end receives in the original
report too?

I'm also gonna make sure we get a jawbone to our internal test library. Bad
audio quality at the remote end of the call could possibly be related to
incorrect interpretation of the headsets noise reduction and cancellation
(AT+NREC) setting.
Comment 76 heretic 2010-01-27 09:00:34 UTC
so is there any maemo team member dealing with this bug? I can't imagine when I
can get my headsets working with n900 if nobody begin trying to solve it from
now on. I think buying few common buggy bluetooth devices which many people
here mentioned is not a big problem to nokia, right?
Comment 77 Andre Klapper maemo.org 2010-02-03 19:20:42 UTC
(In reply to comment #76)
> so is there any maemo team member dealing with this bug?

Obviously Nokians have commented on this report before, however, I (Bugmaster
here) don't feel motivated to read through 76 comments with quite some noise
and partially unhelpful "me too, plz fix this!!!" comments just to collect the
interesting bits for Nokia developers, as I have quite a few other reports to
look at too. That's of course always the problem when Bugzilla is abused as a
forum with a few people that don't understand the difference (though this here
is not the only report where this happened).
So if you have a good, exact testcase, with a log (see
http://wiki.maemo.org/Bugs:Stock_answers#Connectivity ), with exact hardware
information and running the latest Maemo version 2.2009.51-1 please file a new,
clean, separate report.
Comment 78 Maxx 2010-02-17 11:00:46 UTC
the problem is still exist in the PR1.1.1

my Advantalk VFU-BTHS-03 connected to the device just fine but the audio
quality of the bluetooth is very disturbing and unpleasent to listen to. The
sound is choppy and distorted like when you tuning the radio to a station but
instead of getting the right frequency (sound clear), it's off the actual
frequency by 10Hz or 5Hz. As you can see the sound isn't very clear to listen
to. Unpleasantly noisy and windy.

For your information the headset connected to my N95-1 and my N93i just fine. I
can even listen to music from it. But with the N900, I can't use it at all.

Reproducibility: Always
expected outcome: clear sound from the headset and never drop out during calls
or after idle.
Comment 79 taril 2010-02-17 11:20:08 UTC
Now, when wifi and BT a2dp are connected, wifi auto disconnects randomly. :-(
Comment 80 Lars Wadefalk 2010-04-06 01:45:19 UTC
Just wanted to add some info to my previous post.
The problem with BT connected to my car kit, robot voice, choppy sound and
acoustic feedback is still the same after PR1.1.1 update. Wifi on or off
doesn't matter. I don't run any applications at the same time I use BT.

My car kit SE HCB-108 works perfectly together with my Nokia E66, my wife's
Nokia N73, so its no doubt that the N900 is the problem.

BTW, I also want to apologize if my previous post sounded too negative. I was
rather frustrated with this bug at that moment. Still, this IS a serious issue
and I'm glad that it now has reached the top 4.
Comment 81 Andre Klapper maemo.org 2010-04-27 15:16:41 UTC
Please see comment 77 before commenting. Thank you.
Comment 82 Lars Wadefalk 2010-06-16 15:17:44 UTC
Additional info: The situation did not improve with the PR1.2 release, no
change.
Can I do anything to help diagnose this problem, maybe record audio, some
tracing or whatever?

Andre Klapper: Has the Nokia developers been able to reproduce this problem? It
should be easy to do, just try out one the BT units that's been reported
here...including mine.
It's kind of silent around this bug so I'm somewhat curious if there's any
progress with it.
Comment 83 Andre Klapper maemo.org 2010-06-25 14:40:34 UTC
(In reply to comment #82)
> Can I do anything to help diagnose this problem, maybe record audio, some
> tracing or whatever?

Sure: See comment 77 and comment 53.

> Andre Klapper: Has the Nokia developers been able to reproduce this problem?

Probably not, as this specific bug report is a huge mess and as I personally
wouldn't advice any developer to spend time here trying to find the useful
pieces in this amount of noise.
Comment 84 Lars Wadefalk 2010-06-25 15:39:37 UTC
(In reply to comment #83)
> (In reply to comment #82)
> > Can I do anything to help diagnose this problem, maybe record audio, some
> > tracing or whatever?
> 
> Sure: See comment 77 and comment 53.
> 
> > Andre Klapper: Has the Nokia developers been able to reproduce this problem?
> 
> Probably not, as this specific bug report is a huge mess and as I personally
> wouldn't advice any developer to spend time here trying to find the useful
> pieces in this amount of noise.
> 

(In reply to comment #83)
> (In reply to comment #82)
> > Can I do anything to help diagnose this problem, maybe record audio, some
> > tracing or whatever?
> 
> Sure: See comment 77 and comment 53.
> 
> > Andre Klapper: Has the Nokia developers been able to reproduce this problem?
> 
> Probably not, as this specific bug report is a huge mess and as I personally
> wouldn't advice any developer to spend time here trying to find the useful
> pieces in this amount of noise.
>

That's very sad to hear, not only the lack of progress but also your arrogant
attitude. So if I get this right you discourage the developers to investigate a
bug report just because there are many reports, on many different units with
slighly different effects? It is your responsibility as a moderator/bugmaster
to sort out the relevant information to help the developers so that they can
resolve the trouble report. It doesn't take much effort here to see that some
of these reports are very similar and that it is quite obvious that there is a
problem.
All you'd have to do would be to try out at least one of these BT devices to
see that there actually is a problem, I guess it's not too much of a cost for a
company like Nokia. How hard can it be?
I am working with embedded development also, going many years back and none of
the companies I've worked with so far would accept such a laid-back,
condescending reception of a bug report. People are trying to help you here and
you are just disregarding that with comments like the #77. You probably have
the ability to remove irrelevant posts that doesn't contribute anything to the
report, so I think you should do so (even with this one), but in such case
please pull yourself together.
Comment 85 Andre Klapper maemo.org 2010-06-25 16:02:44 UTC
(In reply to comment #84)
> So if I get this right you discourage the developers to investigate a
> bug report just because there are many reports, on many different units with
> slighly different effects?

I discourage developers to take a look at non-precise reports that mix up many
things and most likely several different issues in one report as such reports
are simply unfixable and often waste huge amounts of worktime.

> It is your responsibility as a moderator/bugmaster to sort out the relevant
> information to help the developers so that they can resolve the trouble 
> report.

I agree, and that's why I added comment 30 or comment 77.
If such comments get ignored and reports get noisy it's the consequence that
people stop listening and miss the useful bits. Plus there's enough other
bugreports out there that are also "my responsibility".

> All you'd have to do would be to try out at least one of these BT devices to
> see that there actually is a problem, I guess it's not too much of a cost for
> a company like Nokia. How hard can it be?

That is a valid question that can only be answered by Nokia.
Please feel free to contact them.

> You probably have the ability to remove irrelevant posts that doesn't 
> contribute anything to the report, so I think you should do so

I can hide posts in Bugzilla by marking them as private but I prefer to keep
this as a last resort as I don't like censoring people. I definitely won't
start being the one person deciding which comment in Bugzilla is worth to be
visible and which one isn't - that would be a new can of worms to open.

Instead I expect people before adding new comments to read previous comments
(such as requests to stick to the topic or to be precise). In case of dozens of
already existing comments this sometimes does not happen and then we all have
to bear the consequences (burned reports) that can be solved by spliting out
useful information into separate report(s), as requested here before.
Comment 86 Fredrik Wendt 2010-06-26 12:55:34 UTC
Andre: Yes, this report is a mess, but that is a true reflection of how
bluetooth works with the N900 - it's flaky (and it got worse with PR1.2).
If you don't feel that this report adds value, close it - this will force
people to open new reports.

At least 55 voters and some 30 accounts feels that "bluetooth audio [is] very
choppy and stuttering" - no matter if they all use different hardware (mostly
Nokia branded), that's quite a big group and the issue should be addressed by
Nokia.
Comment 87 Ilya Fomin 2010-06-28 13:40:50 UTC
Hi all.

Sorry for adding one more message to this bugchat, but just I want to explain
Andre's point.

This bugreport IS a mess. I work in QA and I agree an issue can't be fixed if
it has a bugreport like this one. I'm just a regular N900 user, not Nokia
employee or something.
There are too many root causes for this, including N900 software, N900
hardware, your environment, or even your BT headset.

I'm encouraging anyone who wants this issue fixed to do the following:
0) Make sure you're on the latest (PR1.2 currently) firmware 
1) Try to make your device as clean as possible - complete reflash is the best
2) Figure out exact steps to reliably reproduce the issue with default Nokia
applications
3) Verify that actions figured out in step2 don't cause issues with wired
headphones or built-in speakers. If the issue is reproducible without bluetooth
- pulseaudio is to blame, and there are actually some fixes to this that would
be released later, as I saw in some other bug discussion.
4) Submit a NEW bug to bugzilla and include:
 - Your firmware version
 - Exact steps as figured out in step2
 - List of BT headsets you could reproduce the issue with. The more the better,
the best ones are Nokia supported - BH214 and BH905.
 - Explicitly ask to not duplicate your new bug to this one, as it covers some
exact issue in detail. Refer to Andre's comment #77.
5) Write a comment to this bug with link to bug ID you've submitted so that
everyone in CC receives a message and is able to test this and vote for your
new bug. Encourage anyone who's voting to mention his/her BT headset model if
it's not mentioned already.
6) If you've done everything as I said, be assured that your bug would be
treated in proper manner. It can still be closed as Wontfix or Harmattan though
:)
Comment 88 Andre Klapper maemo.org 2010-06-28 18:26:19 UTC
Closing as INVALID to reflect the reality - this *report* will not see any
updates. However that does NOT mean that Nokia is not interested in fixing the
several issues that were cumulated in this one report.

If you have this problem (Bluetooth Audio Very Choppy and Stuttering) please
file a new bug report with *exact* steps and mention your exact hardware
(preferably in the summary line already).
Please always: Only one specific hardware per report.
Also see comment 77.


(In reply to comment #86)
> At least 55 voters and some 30 accounts feels that "bluetooth audio [is] very
> choppy and stuttering"

Impossible to say who voted when (=which Maemo5 version), and if maybe updates
in the meantime fixed the issue for some of the users that had voted.